Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0409-1: moderate: Security update for libressl
openSUSE Security Update: Security update for libressl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0409-1
Rating: moderate
References: #1019334
Cross-References: CVE-2016-7056
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libressl fixes the following issues:

- CVE-2016-7056: Difficult to execute cache timing attack that may have
allowed a local user to recover the private part from ECDSA P-256 keys
(boo#1019334)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-222=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-222=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

libcrypto37-2.3.4-3.1
libcrypto37-debuginfo-2.3.4-3.1
libressl-2.3.4-3.1
libressl-debuginfo-2.3.4-3.1
libressl-debugsource-2.3.4-3.1
libressl-devel-2.3.4-3.1
libssl38-2.3.4-3.1
libssl38-debuginfo-2.3.4-3.1
libtls10-2.3.4-3.1
libtls10-debuginfo-2.3.4-3.1

- openSUSE Leap 42.2 (x86_64):

libcrypto37-32bit-2.3.4-3.1
libcrypto37-debuginfo-32bit-2.3.4-3.1
libressl-devel-32bit-2.3.4-3.1
libssl38-32bit-2.3.4-3.1
libssl38-debuginfo-32bit-2.3.4-3.1
libtls10-32bit-2.3.4-3.1
libtls10-debuginfo-32bit-2.3.4-3.1

- openSUSE Leap 42.2 (noarch):

libressl-devel-doc-2.3.4-3.1

- openSUSE Leap 42.1 (i586 x86_64):

libcrypto36-2.3.0-10.1
libcrypto36-debuginfo-2.3.0-10.1
libressl-2.3.0-10.1
libressl-debuginfo-2.3.0-10.1
libressl-debugsource-2.3.0-10.1
libressl-devel-2.3.0-10.1
libssl37-2.3.0-10.1
libssl37-debuginfo-2.3.0-10.1
libtls9-2.3.0-10.1
libtls9-debuginfo-2.3.0-10.1

- openSUSE Leap 42.1 (noarch):

libressl-devel-doc-2.3.0-10.1

- openSUSE Leap 42.1 (x86_64):

libcrypto36-32bit-2.3.0-10.1
libcrypto36-debuginfo-32bit-2.3.0-10.1
libressl-devel-32bit-2.3.0-10.1
libssl37-32bit-2.3.0-10.1
libssl37-debuginfo-32bit-2.3.0-10.1
libtls9-32bit-2.3.0-10.1
libtls9-debuginfo-32bit-2.3.0-10.1


References:

https://www.suse.com/security/cve/CVE-2016-7056.html
https://bugzilla.suse.com/1019334


< Previous Next >
This Thread
  • No further messages